Get options chain for a symbol and expiration
curl --request GET \
--url https://api.example.com/api/graph/v1/options/{symbol}/chainimport requests
url = "https://api.example.com/api/graph/v1/options/{symbol}/chain"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/options/{symbol}/chain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symbol": "<string>",
"underlying_price": 123,
"source": "realtime_sip",
"atm_strike": 123,
"selected_expiration": "<string>",
"available_expirations": [],
"chain": [],
"summary": {
"call_volume": 0,
"put_volume": 0,
"call_oi": 0,
"put_oi": 0,
"pc_volume_ratio": 123,
"pc_oi_ratio": 123,
"max_pain": 123,
"total_strikes": 0
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Options Chain
Get options chain for a symbol and expiration
Return the call/put grid for a given symbol and expiration date.
If no `expiration` query parameter is provided the nearest available
expiration is used automatically.
## Performance Target
<400ms response time.
GET
/
api
/
graph
/
v1
/
options
/
{symbol}
/
chain
Get options chain for a symbol and expiration
Path Parameters
Query Parameters
Expiration date in YYYY-MM-DD format. Defaults to nearest expiration.
Response
Options chain
Full options chain response for a symbol and expiration.
Show child attributes
Show child attributes
Aggregate statistics for the options chain.
Show child attributes
Show child attributes